ICU 70.1 70.1

Public Member Functions | Friends
icu::BytesTrie::State Class Reference

BytesTrie state object, for saving a trie's current state and resetting the trie back to this state later. More...

`#include <bytestrie.h>`

Inheritance diagram for icu::BytesTrie::State:

## Public Member Functions
| State ()
| Constructs an empty State. More...

## Friends
class | BytesTrie

## Detailed Description

BytesTrie state object, for saving a trie's current state and resetting the trie back to this state later.

Stable:
  ICU 4.8

Definition at line 140 of file bytestrie.h.

## Constructor & Destructor Documentation

## ◆ State()

icu::BytesTrie::State::State | ( |  | ) |
| inline

Constructs an empty State.

Stable:
  ICU 4.8

Definition at line 146 of file bytestrie.h.

References NULL.

## Friends And Related Function Documentation

## ◆ BytesTrie

friend class BytesTrie
| friend

Definition at line 148 of file bytestrie.h.

The documentation for this class was generated from the following file:

- bytestrie.h